﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class ChooseStyle : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        SetColors();
    }
    private void SetColors()
    {
        System.Drawing.Color myForeColor = System.Drawing.Color.White;
        System.Drawing.Color myBackColor = System.Drawing.Color.Black;
        if (Profile.PageStyle == "BlackOnWhite")
        {
            myForeColor = System.Drawing.Color.Black;
            myBackColor = System.Drawing.Color.White;
        }
        Label1.Text = Profile.PageStyle;
        DropDownList1.ForeColor = myForeColor;
        DropDownList1.BackColor = myBackColor;
        foreach (Control c in this.Page.Controls)
        {
            try
            {
                WebControl d = (WebControl)c;
                d.ForeColor = myForeColor;
                d.BackColor = myBackColor;
            }
            catch (Exception myEx) { }
        }
    }
    protected void DropDownList1_SelectedIndexChanged(object sender, EventArgs e)
    {
        Profile.PageStyle = DropDownList1.SelectedValue;
        SetColors();
    }
}
